
Json::Value@ getInfo() {
    CGameCtnApp@ app = GetApp();
    if (app.RootMap is null) {return null;}

    Json::Value@ info = Json::Object();
    info['username'] = Text::StripFormatCodes(app.LocalPlayerInfo.Name);
    info['login'] = app.LocalPlayerInfo.Login;
    // info['userid'] = app.LocalPlayerInfo.WebServicesUserId;
    
    info['authorname'] = Text::StripFormatCodes(app.RootMap.AuthorNickName);
    info['authorlogin'] = app.RootMap.AuthorLogin;

    info['mapname'] = Text::StripFormatCodes(app.RootMap.MapName);
    if (info['mapname'] == "") {
        info['mapname'] = Text::StripFormatCodes(app.RootMap.MapInfo.NameForUi);
    }
    info['mapuid'] = app.RootMap.EdChallengeId;

    info['version'] = Meta::ExecutingPlugin().Version;
    info['dataanalysis'] = data_analysis;
    info['sessiontoken'] = sessionToken;
    info['time'] = Time::Now;
    

    return info;
}

string getMapUid() {
    CGameCtnApp@ app = GetApp();
    if (app.RootMap is null) {return "";}
    return app.RootMap.EdChallengeId;
}
